commit f5b9df0bac82a29f7a12837b176293f3a5b7452a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Aug 26 16:10:59 2022 -0700

    libXaw3d 1.6.4
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 58dacc751afc3ddf5fdef705edcb3f450cd5b976
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 12:06:49 2022 -0700

    convert ISO8859-1 encoded source files to UTF-8
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ff1ba3fcf684109a8e900be2603175fe85d16230
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 11:53:33 2022 -0700

    gitlab CI: add a basic build test
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 34ed91bd900937447fb79e88f276fe19e6aba457
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 11:50:11 2022 -0700

    Fix spelling/wording issues
    
    Found by using:
        codespell --builtin clear,rare,usage,informal,code,names
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 8a8fbec86a2988aa96cbf913d1fa54946fd9cf82
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 7 11:38:01 2022 -0700

    Build xz tarballs instead of bzip2
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d5d8285dd676a9940ee351daada4179a01f151fd
Author: Thomas E. Dickey <dickey@his.com>
Date:   Fri Feb 14 01:26:06 2020 +0000

    issue #4: configure doesn't fail if flex is not installed
    
    add a check for lex like the existing one for yacc
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 1064bad5f2e2a590c1bb7772d94097997ee65ad1
Author: Thomas E. Dickey <dickey@invisible-island.net>
Date:   Mon Jul 1 20:16:46 2019 -0400

    build-fixes when _CONST_X_STRING is defined
    
    Signed-off-by: Thomas E. Dickey <dickey@invisible-island.net>

commit 69e1e1362bbe7883a34227ac4135dd3cd75a348d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 9 16:20:48 2019 -0800

    Pass correct number of atoms from SelectSave to _XawTextSaltAwaySelection
    
    When filling in the array, we correctly limited to the 256 slots allocated
    but then we reset the value to an unlimited number when passing it on to
    the function that walks the array, which could lead to it walking too far.
    
    Fixes https://gitlab.freedesktop.org/xorg/lib/libxaw/issues/2
    
    Reported-by: Praveen Kumar <praveen.pk@samsung.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    
    (Adapted from libXaw commit c01d47c4c0e0a66e0989d40f73827d0a55f693cc)

commit 5d376dd911a50e60631f64637105a2883dd3e7c4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Dec 7 19:39:50 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 66245d7d28d9ab26e22d7615a8b2fa79c82b60d8
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Mon Nov 19 21:38:39 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit b1745c3eb4f84c2b68a90cbec6f6a9255ece4645
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Apr 21 15:55:33 2013 -0700

    Fix fd leak when write() fails in WriteToFile()
    
    Reported by parfait 1.1 bug checking tool:
       File Descriptor Leak: Leaked File Descriptor fd
            at line 1098 of src/MultiSrc.c in function 'WriteToFile'.
              fd initialized at line 1096 with creat
              fd leaks when creat(name, 438) != -1 at line 1096.
    
    (Adapted from libXaw commit a30892ed9b6d193f6eb2bab5b37180ac8f63b0b1.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e18ef34ee7694b9b423684eff1ed040859e4cd53
Author: Eric Sesterhenn <eric.sesterhenn@lsexperts.de>
Date:   Tue Oct 20 08:20:25 2009 -0700

    Bug 24635: File Descriptor leaks in libxaw-1.0.7
    
    http://bugs.freedesktop.org/show_bug.cgi?id=24635
    
    (Adapted from libXaw commit f373e193a48eaf6d799d0b6ad32fd58d8ae8b3bd.)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 62e18b8884efd39e8d764442f7b354d3e34fefbd
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Jun 18 22:00:40 2018 -0700

    libXaw3d 1.6.3
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit c8fd35e41fbd5e33f0155ac12ec89ac4048ed37e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Mar 24 01:01:25 2018 -0700

    Avoid using dead pointer in _XawTextSetSelection
    
    Reported by: https://bugs.freedesktop.org/show_bug.cgi?id=94375
    
    Fix copied from 2D libXaw commit 11c3a104141e1a4946ad949dfb5514df0b66a031
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 931f07f89512515738ef58577c7df385fec7b7c0
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 13:52:49 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 0e26e1352e20f37da6afc48807c2b9f57d764553
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fbdf21f1ff78727262044dcdab3ecc7b14165753
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit b8891dae09e107be01520c41ca8d903fe74cf6a0
Author: Jeremy Huddleston Sequoia <jeremyhu@apple.com>
Date:   Wed Jan 6 22:33:12 2016 -0800

    darwin: Remove incorrect export of vendorShellClassRec and vendorShellWidgetClass
    
    Signed-off-by: Jeremy Huddleston Sequoia <jeremyhu@apple.com>

commit ad4de8d0cdbb1ab03da1d672a4862b55158693b7
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Sep 27 18:56:32 2015 -0700

    Get rid of some extraneous ; at the end of C source lines
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 342d3a8f74bf272235c5eca2b62bd63d3e1e556d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 7 21:54:54 2014 -0800

    Use SEEK_* names instead of raw numbers for fseek whence argument
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit e616514e74e8120869bb4b04f12e6c0fcb45d27f
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 5 18:25:26 2014 -0800

    Just use C89 size_t instead of rolling our own Size_t & Off_t
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 739b63735f02434ee8553c75b8cc913203133a4a
Author: Thomas Klausner <wiz@NetBSD.org>
Date:   Thu Jul 17 17:09:59 2014 +0200

    Fix abs() usage.
    
    For long arguments, use labs().
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Thomas Klausner <wiz@NetBSD.org>

commit 8eeaac849fbbd16408a84b9a583fbbe7385fe22e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:39:32 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 15ffa3af45dcac72855683eb29bbb24fcc6f36e4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat May 31 21:38:41 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5e8370095b40d642505bc3129cb7c38aeb98247e
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 16:43:25 2013 -0700

    Remove support for pre-C89 headers (unifdef -UX_NOT_STDC_ENV)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 24662485317090da5c58085403f4c7ec0bde6052
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 00:17:52 2013 -0700

    Replace TXT16 with XChar2b inline
    
    No longer need #define to substitute it now that we no longer set
    it to a different type on CRAY systems.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 487144639c9a643e6d01a1a4d03c009af34e1903
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Jul 6 00:16:14 2013 -0700

    Remove CRAY/WORD64 support (unifdef -UCRAY -UWORD64)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 2c16f3221c15b88a1122c35c0b091e8fcc2523fe
Author: Javier Pello <javier.pello@urjc.es>
Date:   Mon May 6 13:08:55 2013 +0200

    Fix --disable-feature options in configure
    
    Make --disable-feature options passed to configure not enable
    the feature but keep it disabled instead.
    
    Signed-off-by: Javier Pello <javier.pello@urjc.es>
    Signed-off-by: James Cloos <cloos@jhcloos.com>

commit 140f8fd3017f180e4e410a8385c5d43db7d85dab
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Mar 29 18:39:54 2012 -0400

    libXaw3d 1.6.2
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 39bdb78ac3d4219669a160d16cedc75a0c9a7ae1
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Mar 29 17:33:32 2012 -0400

    XawIm.c: silence incompatible pointer type warnings
    
    Makes code for _XawImCallVendorShellExtResize identical to libXaw.
    
    Fixes
    
    XawIm.c: In function '_XawImCallVendorShellExtResize':
    XawIm.c:1554:2: warning: passing argument 1 of 'XawVendorShellExtResize' from incompatible pointer type [enabled by default]
    XawIm.c:93:13: note: expected 'Widget' but argument is of type 'VendorShellWidget'
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit ddf8ae9731e546558b94151c6ecd3ca29ae55ea9
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Mar 28 13:09:42 2012 -0400

    Make Box.c:PreferredSize match libXaw
    
    Fix up from 5d367cd9d0c. No functional changes.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 4a51ddbba053ae5b864475de77f9a4511d70d73a
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Mar 14 12:54:31 2012 -0400

    Fix segfaults when changing the text of a backed internationaled text widget
    
    Same fix appeared in libXaw as part of XFree86 4.3.0.1.
    
    Fixes: http://gnats.netbsd.org/37610
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit bc0db762873b564d50faac4ab1bf1c85ea586d36
Author: Markus Steinborn <gnugv_maintainer@yahoo.de>
Date:   Thu Mar 1 18:09:26 2012 +0100

    Add XawTextGetSink for compatibility with libXaw
    
    Patch found at http://gitorious.org/xaw3d/xaw3d/commit/ccb1ffde090006f5a715c1e3d4da5f4d6fae05d3
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 5d367cd9d0cd8fa5a85ed442e30dab4222824a36
Author: Markus Steinborn <gnugv_maintainer@yahoo.de>
Date:   Thu Mar 1 18:08:22 2012 +0100

    Avoid integer overflow
    
    Found at http://gitorious.org/xaw3d/xaw3d/commit/3ba3e52454bb684a73601ec91e2c274e776f711a
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 39e9a67b05d4558c065aedd2ebbe6eb11d0b88de
Author: Markus Steinborn <gnugv_maintainer@yahoo.de>
Date:   Thu Mar 1 18:07:40 2012 +0100

    Correct XtNthumbProc usage
    
    This ugly piece of magic was copied from libXaw, and now scrollbars
    will work slightly less incorrectly than they did before.
    
    Found at http://gitorious.org/xaw3d/xaw3d/commit/4ec68aebffbdc406139f880f92b6c18b835af6d4
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c3dd42dbd2aaf95d2a1d08a52d9c2e7056ef7ac9
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Mar 1 16:48:23 2012 -0500

    Fix use-after-free in DestroyAllIM
    
    Fixes segmentation fault when closing gv.
    
    Found at http://gitorious.org/xaw3d/xaw3d/commit/23b3ca50395f180cba4a923eb8827dcc961629da
    
    Fixes: https://bugs.gentoo.org/show_bug.cgi?id=406487
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 7fd6427bc3016e9666a587386779952cf8979f09
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 29 14:26:06 2012 -0500

    Fix parameters of FloatInRange
    
    Introduced in f6cd786d1.
    
    Reported-by: Jean-Pierre Demailly <Jean-Pierre.Demailly@ujf-grenoble.fr>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 7323a5c201cebbccca19ca7e84e9df19b013cdee
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 15 17:58:46 2012 -0500

    libXaw3d 1.6.1
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 0ed2ff260ba04b1ecc88d806309f51bc0ef3de2b
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 15 14:34:23 2012 -0500

    Include MultiSrc.h in AllWidgets.c
    
    AsciiText.h doesn't include MultiSrc.h when internationalization is
    disabled, so dcd27a9c69a was breaking the build. Also fix a typo
    introduced in the same commit Xaw -> Xaw3d.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 977327e998347f2833632be59b47f0ec7b941188
Author: Devin J. Pohly <djpohly+xorg@gmail.com>
Date:   Wed Feb 15 13:42:22 2012 -0500

    Fix segfaults on tip popups
    
    When XAW_INTERNATIONALIZATION isn't defined, some uninitialized stack
    data was being passed to XtGetValues.  This makes it not do that.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=46124
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Devin J. Pohly <djpohly+xorg@gmail.com>

commit dcd27a9c69a73214471f5c92ad6ed6b892ec9fbd
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 1 13:34:10 2012 -0500

    Add multiSink and multiSrc to AllWidgets.c
    
    Noticed when comparing with libXaw's AllWidgets.c.

commit e2841ced5c84c350c9a4e3e6c6a28f57913fd0b3
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 1 13:29:48 2012 -0500

    Include WidgetNode.h from AllWidgets.h
    
    Makes these two files closer to the libXaw originals.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 16850c175d2b12ea5dace6eaa3734037e65c0d4a
Author: Matt Turner <mattst88@gmail.com>
Date:   Wed Feb 1 12:52:46 2012 -0500

    Include headers instead of using extern definitions
    
    Caught a mistake in SmeThreeD.h: smeThreeDWidgetClass was declared
    instead of smeThreeDObjectClass.
    
    Also fixes redundant redeclaration warnings.
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit a17b298430d3d55e92f30647346d9d3450f2f699
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 1 12:18:06 2012 -0500

    Make --enable-internationalization default
    
    libXaw3d-1.5 was built with internationalization by default and software
    such as gv and xterm require it.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=45153
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit d50aaed45a5770d9f84fe94279d4fd49ff834b85
Author: Matt Turner <mattst88@gmail.com>
Date:   Mon Jan 23 15:04:21 2012 -0500

    Include XAW3D_CPPFLAGS in xaw3d.pc Cflags
    
    Software depending on libXaw3d seems to require this.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=45144
    
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit b093ed77fbab09bd474094898719ed6346d30d45
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Jan 22 22:01:07 2012 -0800

    Build fix for int-pointer cast errors
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 702e4ff9f5fbfae4aecba09f8c735dc97bac1b59
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Jan 22 11:58:09 2012 -0800

    Cleanup shadow declarations
    
    Box.c:265:10: warning: declaration shadows a local variable [-Wshadow]
                int i = bbw->composite.num_children;
                    ^
    Box.c:166:15: note: previous declaration is here
        Cardinal  i;
                  ^
    1 warning generated.
    
    Form.c:809:9: warning: declaration shadows a local variable [-Wshadow]
            Widget w = *childP;
                   ^
    Form.c:793:24: note: previous declaration is here
    XawFormDoLayout(Widget w,
                           ^
    1 warning generated.
    
    Viewport.c:627:24: warning: declaration shadows a local variable [-Wshadow]
                        if (!needshoriz) CheckHoriz();
                                         ^
    Viewport.c:605:14: note: expanded from macro 'CheckHoriz'
                        Widget bar = w->viewport.horiz_bar;                 \
                               ^
    Viewport.c:620:14: note: previous declaration is here
                        Widget bar = w->viewport.vert_bar;
                               ^
    1 warning generated.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d31153b30abd26c3f65e19d126ce4a3542cf14c0
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sun Jan 22 11:55:29 2012 -0800

    Include <stdlib.h> for abs()
    
    Tip.c:336:9: error: implicit declaration of function 'abs' is invalid in C99 [-Werror,-Wimplicit-function-declaration]
            ksy += abs(ext->max_ink_extent.y);
                   ^
    1 error generated.
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 8ff85c4322e63144a92747d9e4ca8216ab249e60
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Jan 21 19:49:12 2012 -0500

    libXaw3d 1.6
    
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit a3696bd0798e9f40277b0b105764cea85650659a
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Oct 6 15:32:23 2011 -0400

    Remove worthless isupper/islower checks
    
    Was toupper() *really* expensive when this was written? :)
    
    Also, initialize action_type with toupper(), since the check immediately
    following assumes that its value is uppercase.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 942a17a30cffbe2e0208e486ae6e076a25fbeae3
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Oct 6 22:30:43 2011 -0400

    Remove unused variable 'i'
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 802fb7f2c23a8885cc17de2a15cc4f0746c0f233
Author: Matt Turner <mattst88@gmail.com>
Date:   Thu Oct 6 22:28:13 2011 -0400

    Include stdlib.h for abs()
    
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 6b9e47e67cf05503d65194b05d1e3e424bc3ef73
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 11:35:03 2011 +0000

    Define call_data to 0 in NotifyScroll()
    
    Fixes gcc warning:
    Scrollbar.c: In function 'NotifyScroll':
    Scrollbar.c:950:12: warning: 'call_data' may be used uninitialized in this function [-Wuninitialized]
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit 30326a08a2e38dab3e82a9233054e67818cd2a85
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 11:35:02 2011 +0000

    Use intptr_t instead of int when casting from and to XtPointer
    
    Fixes gcc warnings:
    Scrollbar.c: In function 'NotifyScroll':
    Scrollbar.c:955:37: warning: cast to pointer from integer of different size [-Wint-to-pointer-cast]
    Text.c: In function 'HScroll':
    Text.c:1274:41: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
    Text.c: In function 'VScroll':
    Text.c:1431:31: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
    TextPop.c: In function 'DoSearch':
    TextPop.c:808:31: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
    TextPop.c: In function 'Replace':
    TextPop.c:942:31: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
    Viewport.c: In function 'ScrollUpDownProc':
    Viewport.c:866:15: warning: cast from pointer to integer of different size [-Wpointer-to-int-cast]
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit f7d3fd257d1bf7a0313a45dccf023ed99c400da9
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 11:35:01 2011 +0000

    Only use variable t in MoveThumb() on XAW_ARROW_SCROLLBARS
    
    Fixes gcc warning:
    Scrollbar.c: In function 'MoveThumb':
    Scrollbar.c:1006:16: warning: variable 't' set but not used [-Wunused-but-set-variable]
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit 67a927284dd554712cc743ed5dbbabf8d3a761af
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 11:35:00 2011 +0000

    Remove unused label
    
    Fixes gcc warning:
    laygram.c: In function 'LayYYparse':
    laygram.y:242:7: warning: label 'unary' defined but not used [-Wunused-label]
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit 712dd8b572114a3605e4f4c444eabefbfb0522aa
Author: Guillem Jover <guillem@hadrons.org>
Date:   Tue Oct 4 11:34:59 2011 +0000

    Disable unused input and unput lex functions
    
    Fixes gcc warnings:
    laylex.c:1316:17: warning: 'yyunput' defined but not used [-Wunused-function]
    laylex.c:1357:16: warning: 'input' defined but not used [-Wunused-function]
    
    Reviewed-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Guillem Jover <guillem@hadrons.org>

commit 6bd01a2e98909aa9083304ce93f7c1c0853c0fb0
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Sep 17 14:11:28 2011 -0400

    Fix a couple of unused variable warnings
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit 7d7c39fae932ad0b4ef6b7261c19c90c8dda12e0
Author: Matt Turner <mattst88@gmail.com>
Date:   Sat Sep 17 14:10:17 2011 -0400

    Fix a couple unused function warnings
    
    Functions were only called inside ifdef blocks, but were defined
    outside.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Matt Turner <mattst88@gmail.com>

commit f1e3b47f02788903121148bc24afe4de8c2780d9
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 17 00:52:15 2011 -0700

    Add LayYYWrap() prototype to LayYY.h
    
    Fixes gcc warning:
    laygram.y:259:5: warning: no previous prototype for 'LayYYwrap'
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 7e8ed65401fd140b8dbf8f0bad4849f2b204ccb5
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 17 00:46:25 2011 -0700

    Fix several unused variable warnings
    
    All but one are due to variables defined outside #ifdef's but only
    used inside #ifdef'ed code blocks.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 29ee09ca07a41c07723e87fa1581762dc35a4725
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 4 12:53:48 2011 +0200

    Remove %defines declaration for compatibility with yacc.
    
    The -d flag is used for bison/yacc and has the same effect.
    
    Signed-off-by: Matthieu Herrb <matthieu.herrb@laas.fr>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 1daba642678630fc808e265caa202b8a9e83f01c
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 16 22:14:33 2011 -0700

    Strip trailing whitespace
    
    Performed with: find * -type f | xargs perl -i -p -e 's{[ \t]+$}{}'
    git diff -w & git diff -b show no diffs from this change
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9932303fbd0390628efc714d9c52718eca008015
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 7 17:00:59 2011 -0700

    Make WriteToFile take constified arguments
    
    Fixes compiler warning:
    "AsciiSrc.c", line 858: warning: argument #2 is incompatible with prototype:
            prototype: pointer to char : "AsciiSrc.c", line 118
            argument : pointer to const char
    
    Has to use _XtString (#define char *) instead of String (typedef char *) to
    correctly be a pointer to const chars instead of a const pointer to chars.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit c6c61c93154635018c901ace6251018dfc3d9961
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 7 15:46:00 2011 -0700

    Add LayYY.h header for common definitions of lex/yacc created functions
    
    Ensures all sources use consistent types and provides central place
    to add _X_HIDDEN tags to avoid exporting these as part of the API/ABI.
    
    Also fixes:
    "laygram.c", line 1363: warning: implicit function declaration: LayYYlex
    "laygram.c", line 1777: warning: implicit function declaration: LayYYerror
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit fb67997614b32d34de535654876eb8896a9011ac
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 7 19:10:18 2011 -0700

    Fix distcheck by changing doc_DATA to dist_doc_DATA
    
    Oops.   Helps to include the docs in the tarball if you want to install them.
    
    Reported-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit d8d030dc5097101c04e59838826a9205a8d9b36a
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 7 15:27:20 2011 -0700

    Update README.XAW3D for X.Org release
    
    List X.Org as current maintainers instead of D. J. Hawkey Jr.
    Replace Imakefile configuration instructions with configure flags
    Remove sections about building in an old X11R5 or R6 monolithic tree.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 6d75edeb246ace888e5eb6125807fcc5093e937d
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Sep 7 15:00:07 2011 -0700

    Distribute & install src/README.XAW3D
    
    The previous maintainer strongly recommended providing this file with
    the library as the authoritative documentation for the libXaw3d API.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 219e5a42965ab6b8a4fab956b9294b63f64057ef
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Sep 3 11:19:18 2011 -0700

    Add xext to required modules for Shape extension calls
    
    Without this, strict linkers like Solaris ld & gold would fail with:
    
    Undefined                       first referenced
     symbol                             in file
    XShapeQueryExtension                .libs/Command.o  (symbol belongs to implicit dependency libXext.so.0)
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Matthieu Herrb <matthieu.herrb@laas.fr>

commit c74b539a20f5cb7c058e6b16af68ddf7d6015a13
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Sep 2 23:00:07 2011 -0700

    Use -p instead of %parser for compatibility with older bison & yacc
    
    The %name-prefix "prefix" syntax was introduced in bison 2.3b and
    is not supported in older bison and yacc parsers.
    
    Without this fix, bison 2.3 (older than 2.3b) gives the cryptic error:
    .../src/laygram.y:1.14-20: syntax error, unexpected string, expecting =
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>

commit 495853f8f93a990823b3ba48235ece1c23ca37bc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 2 11:01:29 2011 -0400

    Template.c: use #include <X11/Xaw3d/TemplateP.h>
    
    rather than #include "TemplateP.h".
    
    Acked-by: Matt Turner <mattst88@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 823803d5937e1002d21e24b2a37ad2891e691527
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Sep 2 10:31:39 2011 -0400

    Add conditional include config.h to source files as done in libXaw
    
    Expections: TexTr.c, sharedlib.c ans generated lex and yacc C code.
    
    XawI18n.h needs HAVE_WCTYPE_H and HAVE_WCHAR_H.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c1918447b25e0ac2f4fc5311bb6a8527cf74d168
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Thu Sep 1 21:17:44 2011 -0500

    Fix build after f28531a33d1f28bc86626b3013ef7857b564647f
    
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Tested-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f2c8d69e2f82da0c3e818f6c762417f288a23580
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Wed Aug 31 21:05:34 2011 -0500

    Label: Fix nested extern declaration warnings
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit 77aa38852ab023e5492059743ae93952af27aad5
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Aug 28 04:03:07 2011 -0500

    Fix incompatible vfunc pointer warnings
    
    AsciiSink.c:132:41: warning: initialization from incompatible pointer type
    AsciiSink.c:135:41: warning: initialization from incompatible pointer type
    AsciiSink.c:137:41: warning: initialization from incompatible pointer type
    
    Vendor.c:199:24: warning: initialization from incompatible pointer type
    Vendor.c:269:24: warning: initialization from incompatible pointer type
    Vendor.c:284:24: warning: initialization from incompatible pointer type
    
    Viewport.c:143:3: warning: initialization from incompatible pointer type
    
    MultiSink.c:160:41: warning: initialization from incompatible pointer type
    MultiSink.c:162:41: warning: initialization from incompatible pointer type
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit 96f8565f2bbac928a76b875415eba993ad806925
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Aug 28 04:01:16 2011 -0500

    XawIm: Fix old-style function definitions
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit f4ad8d3175abfbe0628d818fd82e34ace2244a20
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Aug 28 03:30:30 2011 -0500

    MultiSrc: Fix old-style function definitions
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit 843ed17f7a6e49a5387e94d456c2e1e72a8247e3
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Aug 28 03:10:36 2011 -0500

    MultiSink: Fix old-style function definitions
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Matt Turner <mattst88@gmail.com>

commit daaa028c111276c3ba4d60b454f0fe39bf10666e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 30 22:06:36 2011 -0400

    Add missing AC_CONFIG_HEADERS
    
    This is a requirement for all modules.
    www.gnu.org/software/autoconf/manual/autoconf.html#Configuration-Headers
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f28531a33d1f28bc86626b3013ef7857b564647f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 30 17:00:21 2011 -0400

    Include Xaw3dP.h using #include <X11/Xaw3d/Xaw3dP.h>
    
    All published Xaw3d header file are included this way.
    The -I directive to include/X11/Xaw3d is removed which will alert
    developers not to include header files with quotes unless they are in
    the /src directory.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8b258c863c4f19c03378f33ca9bf37d31e402b21
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Aug 30 08:50:40 2011 -0400

    Rename XAW3D_CFLAGS to XAW3D_CPPFLAGS as it contains preprocessor options only
    
    This will also prevent confusion as it is not obtained from PKG_CHECK_MODULES
    but follows its naming convention.
    
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8907c4a3fe20158a42748258f3cce978acc8e272
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Aug 26 12:58:56 2011 -0400

    Move compiler flags from AM_CPPFLAGS to AM_CFLAGS
    
    AM_CPPFLAGS should only contain preprocessor directives like -I -D.
    The various *_CFLAGS may contain compiler flags as they are obtained
    from pkg-config Cflags variable.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit aaa7de6f16d2f36b2ef9fd30a77abb7cd697ea5d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Aug 26 08:43:28 2011 -0400

    lex and yacc: add error checking when yacc is missing
    
    This configuration snippet is copied from app/twm and xgc.
    It handles the case when yacc tool is missing but yacc generated code in the
    tarball can be used.
    
    Unlike other macros AC_PROG_YACC sets the YACC variable to "yacc"
    as a last resort, even if no programs have been found.
    Improve error checking by issuing an error message if yacc is not found.
    The module cannot build anyway, unless from a published tarball.
    
    If laygram.c is already there, do not abort the configuration
    if yacc is missing as it is not needed.
    
    If both generated code and yacc are missing, abort configuration.
    Yacc is a required tool to build the package.
    
    The test for YACC_INST is cross-compiling friendly.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 25f85dd2171e3c0810a5555c99e7fe3870566f0a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Aug 25 20:41:31 2011 -0400

    Use AM_YFLAGS and BUILT_SOURCES rather than EXTRA_DIST
    
    Automake will handle the distribution of laygram.h
    http://www.gnu.org/software/automake/manual/automake.html#Yacc-and-Lex
    http://cgit.freedesktop.org/xorg/app/twm/tree/src/Makefile.am
    http://cgit.freedesktop.org/xorg/app/xgc/tree/Makefile.am
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 934fd2abe69739971e7f03f3d86e3574bb7e3c5c
Author: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
Date:   Sun Aug 28 02:15:49 2011 -0500

    XawInit: Fix old-style function definitions
    
    Signed-off-by: Yaakov Selkowitz <yselkowitz@users.sourceforge.net>
    Acked-by: Gaetan Nadon <memsize@videotron.ca>
